%define _disable_ld_no_undefined 1
%define _python_bytecompile_extra 0
%define lib_major  0
%define libname    %mklibname %{name} %{lib_major}
%define libnamedev %mklibname %{name} -d

%define doc_version 4.13

Name:           gnucash
Version:        5.6
Release:        %mkrel 1
Summary:        Application to keep track of your finances
License:        GPLv2+
Group:          Office
URL:            http://www.gnucash.org/
Source0:        http://downloads.sourceforge.net/gnucash/%{name}-%{version}.tar.xz
Source3:        gnucash-x86_64.conf
Source5:        engine-common.i
Patch1:		gnucash-rpath.patch
BuildRequires:  lib64glib2.0-devel
BuildRequires:  lib64gdk_pixbuf2.0_0-devel
BuildRequires:  lib64gtk+2.0_0-devel
BuildRequires:  lib64xml2-devel
BuildRequires:  lib64gwenhywfar-devel
BuildRequires:  lib64aqbanking-devel
BuildRequires:  lib64goffice0.10_10-devel
BuildRequires:  lib64guile-devel
BuildRequires:  lib64webkit2-devel
BuildRequires:  lib64gnomecanvas2_0-devel
BuildRequires:  lib64gtkmm2.4-devel
BuildRequires:  lib64gnome-keyring-devel
BuildRequires:  lib64ofx-devel
BuildRequires:  lib64dbi-devel
BuildRequires:  lib64python3-devel
BuildRequires:  lib64ktoblzcheck-devel
BuildRequires:  libdbi-drivers-dbd-sqlite3
BuildRequires:  intltool
BuildRequires:  scrollkeeper
BuildRequires:  xsltproc
BuildRequires:  slib
BuildRequires:  gettext-devel
BuildRequires:  swig
BuildRequires:  locales-en
BuildRequires:  locales-fr
BuildRequires:  fop
BuildRequires:  lib64gmock-devel
BuildRequires:  boost-devel

Requires: glib2.0-common
Requires: lib64aqbanking44
Requires: lib64art_lgpl2
Requires: lib64atk1.0_0
Requires: lib64cairo2
Requires: lib64dbi1
Requires: lib64fontconfig1
Requires: lib64freetype6
Requires: lib64gdk_pixbuf2.0_0
Requires: lib64gio2.0_0
Requires: lib64glib2.0_0
Requires: lib64gmp10
Requires: lib64gnomecanvas2_0
Requires: lib64gnome-keyring0
Requires: lib64goffice0.10_10
Requires: lib64gtk+-x11-2.0_0
Requires: lib64gwengui-gtk3_79
Requires: lib64gwenhywfar79
Requires: lib64ktoblzcheck1
Requires: lib64ofx4
Requires: lib64pango1.0_0
Requires: lib64python3.10
Requires: lib64secret1_0
Requires: lib64soup2.4_1
Requires: lib64x11_6
Requires: lib64xml2_2
Requires: lib64xslt1
Requires: libdbi-drivers-dbd-sqlite3
Requires: lib64boost_date_time1.79.0
Requires: perl-Date-Manip
Requires: slib
Requires: yelp
Requires: dconf
Requires: guile >= 2.0
Requires: guile-runtime
Requires: lib64guile2.0_22
Requires: lib64guilereadline18_18
Requires: perl-Finance-Quote
Requires: aqbanking

Provides: gnucash-sql = %version-%release
Obsoletes: gnucash-sql
Obsoletes: gnucash-devel
Obsoletes: gnucash-hbci
Obsoletes: gnucash-ofx
Obsoletes: python-gnucash


%description
GnuCash is a personal finance manager. A check-book like
register GUI allows you to enter and track bank accounts,
stocks, income and even currency trades. The interface is
designed to be simple and easy to use, but is backed with
double-entry accounting principles to ensure balanced books.


%prep
%setup -qn %{name}-%{version}
%autopatch -p1

sd "Werror" "Wno-error" CMakeLists.txt

export CXXFLAGS="%{optflags} -Wno-error"


%build
%cmake \
    -DWITH_PYTHON=ON \
    -DCOMPILE_GSCHEMAS=OFF \
    -DPYTHON_EXECUTABLE=%{__python3} \
    -DHAVE_GWEN_GTK3=1 \
    -DCPACK_SOURCE_RPM=OFF \
    -DCPACK_SOURCE_TBZ2=OFF \
    -DCPACK_SOURCE_TGZ=OFF \
    -DCPACK_SOURCE_TXZ=OFF \
    -DCPACK_SOURCE_TZ=OFF \
    -DDISABLE_DEPRECATED_GLIB=ON \
    -DDISABLE_DEPRECATED_GNOME=ON \
    -DDISABLE_DEPRECATED_GTK=OFF

%cmake_build

%install
%cmake_install

%find_lang %{name} --with-gnome
find %{buildroot} -name '*.la' -delete

rm -fr %{buildroot}%{_libexecdir}/gnucash/src/libqof/qof/test

rm -rf %{buildroot}/%{_includedir}
rm -f %{buildroot}/%{_bindir}/gnucash-valgrind

mkdir -p %{buildroot}/etc/ld.so.conf.d
install -m 0644 %SOURCE3 %{buildroot}/etc/ld.so.conf.d

%files
%{_sysconfdir}
%{_bindir}
%{_libdir}
%{_datadir}
%{_prefix}/lib

%post
/sbin/ldconfig
%update_menus
glib-compile-schemas /usr/share/glib-2.0/schemas

%postun
/sbin/ldconfig
%clean_menus
glib-compile-schemas /usr/share/glib-2.0/schemas

%changelog
* Tue Apr 02 2024 tex - 5.6-1pclos2024
- new version

* Mon Dec 18 2023 tex - 5.5-1pclos2023
- new version

* Mon Sep 25 2023 tex - 5.4-1pclos2023
- new version

* Sat Sep 16 2023 tex - 5.3-2pclos2023
- rebuild against updates
- add compile schemas

* Sun Jul 02 2023 tex - 5.3-1pclos2023
- new version

